wibble::commandline::Bool Struct Reference

`#include <options.h>`

## Public Types

typedef bool | value_type

## Static Public Member Functions

static bool | parse (const std::string &val)
static bool | toBool (const value_type &val)
static int | toInt (const value_type &val)
static std::string | toString (const value_type &val)

## Static Public Attributes

static bool | init_val = false

## Member Typedef Documentation

typedef bool wibble::commandline::Bool::value_type

## Member Function Documentation

bool wibble::commandline::Bool::parse | ( | const std::string & | val | ) |

static

bool wibble::commandline::Bool::toBool | ( | const value_type & | val | ) |

static

int wibble::commandline::Bool::toInt | ( | const value_type & | val | ) |

static

std::string wibble::commandline::Bool::toString | ( | const value_type & | val | ) |

static

## Member Data Documentation

bool wibble::commandline::Bool::init_val = false

static

The documentation for this struct was generated from the following files:

- options.h
- options.cpp